import { LockedKey } from '../types';

export const isMatchLockKeys = (lockKey1: LockedKey, lockKey2: LockedKey) => {
  if (!lockKey1.second_part || !lockKey2.second_part) {
    return lockKey1.first_part === lockKey2.first_part;
  }

  return lockKey1.first_part === lockKey2.first_part && lockKey1.second_part === lockKey2.second_part;
};
